timtaw einrichten

  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    26. 10. 2005, 23:29

    Ich habe versucht, Timtaw mit dem Standard-Template CrCPH zu verwenden.

    Ich habe folgendes Template für die Wiki-Seiten verwendet:

    1. timtaw = COA
    2. timtaw.10 =< plugin.tx_timtaw_pi1
    3.  
    4. timtaw.20 = EDITPANEL
    5. timtaw.20 {
    6. label = %s
    7. allow = toolbar
    8. line = 5
    9. onlyCurrentPid = 0
    10. previewBorder = 4
    11. edit.displayRecord = 1
    12. }

    Man kann sich als test pw:test unter http://fholzinger.com/index.php?id=8 einloggen. Aber es gibt keinerlei Wiki-Funktionalität dort.

    Wie muß ich die Template-Einstellung richtigerweise machen?


  • steffenk steffenk
    Obi-Wan Kenobi
    0 x
    4666 Beiträge
    0 Hilfreiche Beiträge
    27. 10. 2005, 01:20

    1. Das einloggen führt auf eine nicht existente Datei (id=6)
    2. Das ist Schritt 4 der Dokus, was ist mit 1-3 ?

  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    27. 10. 2005, 09:17

    Danke für den Tip.
    [quote="steffenK"]
    1. Das einloggen führt auf eine nicht existente Datei (id=6)
    [/quote]
    Das habe ich nun auf id=7 korrigiert.

    [quote="steffenK"]
    2. Das ist Schritt 4 der Dokus, was ist mit 1-3 ?
    [/quote]
    Das habe ich über die Backend-Gruppe Wikinger, die einer Frontend-Gruppe Wikinger zugeordnet ist, gelöst. test gehört der FE-Gruppe Wikinger an.

    Nur weiß ich nicht, wie ich jetzt ein Textfeld bekomme, das man editieren kann. Muß ich dazu unbedingt ein Automake-Template verwenden?

  • steffenk steffenk
    Obi-Wan Kenobi
    0 x
    4666 Beiträge
    0 Hilfreiche Beiträge
    27. 10. 2005, 15:08

    das denke ich nicht. Ich hab die Ext auch nicht installiert.

    laut (unvollständiger) Doku sollte das so aussehen:
    http://typo3.org/documentation/document-library/timtaw/Screenshots-1/

    also einloggen, dann müsste dieses Adminpanel da sein.

    Damit das auch angezeigt wird, sollst Du folgendes machen:

    For making this possible, a "template Frontend User" has to be created, from where all FE/BE groups are taken. Then, in the template, it has to be configured which FE user is the "template user":

    plugin.tx_timtaw_pi2.templateFrontendUser = 2 # UID of the FE user

  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    27. 10. 2005, 16:32

    [quote="steffenK"]
    also einloggen, dann müsste dieses Adminpanel da sein.
    [/quote]

    Das tut es leider nicht. #angry#

    Ich habe unter [url=http://fholzinger.com/wikinger/typo3/index.php]http://fholzinger.com/wikinger/typo3/index.php[/url] einen Backend-Admin Zugang über test:test eingerichtet.

    Was habe ich falsch gemacht?

  • romsattypo3 romsattyp...
    Padawan
    0 x
    27 Beiträge
    0 Hilfreiche Beiträge
    02. 11. 2005, 18:34

    Prerequisites: Typo3 version 3.8.0, Backend Access Control Lists (acl), Versioning managnement (version)

    http://wiki.typo3.org/index.php/TimTaw

    Dir fehlen ein paar Extensions soweit ich das beurteilen kann. be_acl und version

    Dann geh nochmal die Doku durch und teste es nochmal

  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    04. 11. 2005, 10:02

    [quote="romsattypo3"]
    Prerequisites: Typo3 version 3.8.0, Backend Access Control Lists (acl), [/quote]
    Habe ich jetzt installiert.

    [quote="romsattypo3"]
    Versioning managnement (version)
    [/quote]
    Das läßt sich leider nicht installieren. Es ist jetzt nur als sysext verfügbar, zeigt mir aber immer an, daß diese Extension nicht installiert ist.

  • steffenk steffenk
    Obi-Wan Kenobi
    0 x
    4666 Beiträge
    0 Hilfreiche Beiträge
    04. 11. 2005, 13:58

    Das ist richtig, version ist eine sysext Extension und bei Typo 3.8.0 dabei. Wieso lässt die sich denn nicht installieren ?

  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    04. 11. 2005, 14:03

    [quote="steffenK"]
    Wieso lässt die sich denn nicht installieren ?
    [/quote]
    Das weiß ich eben nicht.
    Nach jedem Installationsversuch erscheint der Hinweis, daß die Extension nicht installiert worden ist.
    Ich habe dazu vorübergehend natürlich das Global-Install im Installtool aktiviert.

  • steffenk steffenk
    Obi-Wan Kenobi
    0 x
    4666 Beiträge
    0 Hilfreiche Beiträge
    04. 11. 2005, 18:10

    Ich tippe auf irgend einen Konflikt mit einer anderen Ext., vielleicht timtaw.
    Deinstallier doch die Extension und probiere es dann, ich hab version zugegebenermassen schon ziemlich am Anfang installiert.